Skip to content

Merchant API ​

由 scripts/generate-api-docs.ts 自动生成 —— 请勿手改 共 4 个端点

GET /merchant/applications/{agentId} ​

查询 agent 的开通状态与最近申请(商户本人)

请求参数 ​

参数名位置类型必填说明
agentIdpathstring✅

响应 ​

状态码说明
200

POST /merchant/applications/{agentId} ​

提交商户能力开通申请(商户本人)

请求参数 ​

参数名位置类型必填说明
agentIdpathstring✅

请求体 ​

json
{
  "$ref": "#/components/schemas/SubmitMerchantApplicationDto"
}

响应 ​

状态码说明
201

POST /merchant/applications/{applicationId}/review ​

审核开通申请(平台)

请求参数 ​

参数名位置类型必填说明
applicationIdpathstring✅

请求体 ​

json
{
  "$ref": "#/components/schemas/ReviewMerchantApplicationDto"
}

响应 ​

状态码说明
201

GET /merchant/applications/pending ​

待审核开通申请列表(平台)

响应 ​

状态码说明
200

Released under the MIT License.